<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class login extends CI_Controller {
    #---------------------------------------------------------------------------
    # PURPOSE :	어드민 로그인 메인
    # CREATE  :	2018-02-18
    #---------------------------------------------------------------------------
    function index() {
        $this->load->library('session');

        # view
        $this->load->view('/admin/admin_member/login');

	}

    #---------------------------------------------------------------------------
    # PURPOSE :	어드민 로그인
    # CREATE  :	2018-02-18
    #---------------------------------------------------------------------------
	function login_proc(){
	    $this->load->helper('url');
        $this->load->helper('crossmap/exception_helper');
        $this->load->library('session');
        
        # Request
        $user_id        = trim($this->input->get_post('user_id', TRUE));    // 아이디
        $user_pwd       = trim($this->input->get_post('user_pwd', TRUE));   // 비밀번호
        $user_type      = trim($this->input->get_post('user_type', TRUE));

        # valid Check
        if (empty($user_id) == true) {
            gf_alert('아이디를 입력해주세요.', '/admin/');
            exit;
        }

        if (empty($user_pwd) == true) {
            gf_alert('비밀번호를 입력해주세요.', '/admin/');
            exit;
        }


        $req_data['user_id']     = $user_id;
        $req_data['user_pwd']    = addslashes($user_pwd);


        # model - 로그인
        $this->load->model('admin/admin_member/m_login');
        if($user_type == 0) {
            $return_data    = $this->m_login->login_proc($req_data);
            $req_data['tb']    = 'admin';
        } else {
            $return_data    = $this->m_login->partner_login_proc($req_data);
            $req_data['tb']    = 'partner';
        }

        if($return_data == '') {
            gf_alert('로그인 정보가 없습니다.', '/admin/');
            exit;
        }

        $idx =  $return_data['idx'];
        $req_data['idx']    = $idx;


        # 마지막 로그인 정보 업데이트
        $this->m_login->last_login_update($req_data);


        # 세션정보 저장
        $user_id            = $return_data['user_id'];
        $user_name          = $return_data['user_name'];
        $last_login_date    = $return_data['last_login_date'];
        $member_group_idx   = $return_data['member_group_idx'];
        $last_login_date    = substr($last_login_date, 0, 10);

        switch ($member_group_idx) {
            case '0': $user_type = '0';  break; // 어드민
            case '6': $user_type = '1';  break; // 에디터
            case '7': $user_type = '2';  break; // 칼럼리스트
        }


        if($user_type=='') {
            gf_alert('잘못된 접근입니다.', '/admin/');
            exit;
        }

        $this->session->set_userdata('Adm_Type', $user_type);
        $this->session->set_userdata('Adm_Id', $user_id);
        $this->session->set_userdata('Adm_Name', $user_name);
        $this->session->set_userdata('Adm_Last_Login', $last_login_date);
        $this->session->set_userdata('Adm_Idx', $idx);

        # 메인으로 이동
        header('location:/adm');

    }

    #---------------------------------------------------------------------------
    # PURPOSE :	어드민 로그아웃
    # CREATE  :	2018-02-19
    #---------------------------------------------------------------------------
    function logout_proc(){
        $this->load->helper('url');
        $this->load->library('session');

        # 세션정보 unset
        $this->session->unset_userdata('Adm_Type');
        $this->session->unset_userdata('Adm_Id');
		$this->session->unset_userdata('Adm_Name');
		$this->session->unset_userdata('Adm_Last_Login');

        # 메인으로 이동
		header('location:/admin');
	}
}

?>